Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Parameters.h	(revision 88)
@@ -25,25 +25,25 @@
   {
     //-----[ fields ]------------------------------------------------------------
-  public : const uint32_t    _nb_ooo_engine            ;
-  public : const uint32_t    _size_general_data        ;
-  public : const uint32_t    _size_special_data        ;
-  public : const uint32_t    _nb_gpr_read              ;
-  public : const uint32_t    _nb_gpr_write             ;
-  public : const uint32_t    _nb_gpr_bank              ;
-  public : const uint32_t    _nb_gpr_port_read_by_bank ;
-  public : const uint32_t    _nb_gpr_port_write_by_bank;
-  public : const uint32_t    _nb_spr_read              ;
-  public : const uint32_t    _nb_spr_write             ;
-  public : const uint32_t    _nb_spr_bank              ;
-  public : const uint32_t    _nb_spr_port_read_by_bank ;
-  public : const uint32_t    _nb_spr_port_write_by_bank;
-  public : const uint32_t  * _nb_general_register      ;
-  public : const uint32_t  * _nb_special_register      ;
-  public : const uint32_t  * _nb_inst_insert_rob       ;
-  public : const uint32_t  * _nb_inst_retire_rob       ;
+  public : uint32_t    _nb_ooo_engine            ;
+//public : uint32_t    _size_general_data        ;
+//public : uint32_t    _size_special_data        ;
+  public : uint32_t    _nb_gpr_read              ;
+  public : uint32_t    _nb_gpr_write             ;
+  public : uint32_t    _nb_gpr_bank              ;
+  public : uint32_t    _nb_gpr_port_read_by_bank ;
+  public : uint32_t    _nb_gpr_port_write_by_bank;
+  public : uint32_t    _nb_spr_read              ;
+  public : uint32_t    _nb_spr_write             ;
+  public : uint32_t    _nb_spr_bank              ;
+  public : uint32_t    _nb_spr_port_read_by_bank ;
+  public : uint32_t    _nb_spr_port_write_by_bank;
+  public : uint32_t  * _nb_general_register      ;
+  public : uint32_t  * _nb_special_register      ;
+  public : uint32_t  * _nb_inst_insert_rob       ;
+  public : uint32_t  * _nb_inst_retire_rob       ;
 
-  public : const bool        _have_port_ooo_engine_id  ;
-  public :       uint32_t    _size_gpr_address         ;
-  public :       uint32_t    _size_spr_address         ;
+//public : bool        _have_port_ooo_engine_id  ;
+  public : uint32_t    _size_gpr_address         ;
+  public : uint32_t    _size_spr_address         ;
 
   public : morpheo::behavioural::generic::registerfile::Parameters                                                     ** _param_gpr        ;
@@ -51,8 +51,8 @@
   public : morpheo::behavioural::generic::registerfile::Parameters                                                     ** _param_spr        ;
   public : morpheo::behavioural::generic::registerfile::Parameters                                                     ** _param_spr_status ;
-  public : morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters                          ** __param_gpr       ;
-  public : morpheo::behavioural::generic::registerfile::registerfile_monolithic  ::Parameters                          ** __param_gpr_status;
-  public : morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters                          ** __param_spr       ;
-  public : morpheo::behavioural::generic::registerfile::registerfile_monolithic  ::Parameters                          ** __param_spr_status;
+  private: morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters                          ** __param_gpr       ;
+  private: morpheo::behavioural::generic::registerfile::registerfile_monolithic  ::Parameters                          ** __param_gpr_status;
+  private: morpheo::behavioural::generic::registerfile::registerfile_multi_banked::Parameters                          ** __param_spr       ;
+  private: morpheo::behavioural::generic::registerfile::registerfile_monolithic  ::Parameters                          ** __param_spr_status;
   public : morpheo::behavioural::core::multi_execute_loop::execute_loop::register_unit::register_unit_glue::Parameters  * _param_glue       ;
 
@@ -74,10 +74,14 @@
 			uint32_t  * nb_special_register      ,
 			uint32_t  * nb_inst_insert_rob       ,
-			uint32_t  * nb_inst_retire_rob       );
+			uint32_t  * nb_inst_retire_rob       ,
+                        bool        is_toplevel=false);
 
-  public : Parameters  (Parameters & param) ;
+//public : Parameters  (Parameters & param) ;
   public : ~Parameters () ;
 
+  public :        void            copy       (void);
+
   public :        Parameters_test msg_error  (void);
+
   public :        std::string   print      (uint32_t depth);
   public : friend std::ostream& operator<< (std::ostream& output_stream,
Index: trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h
===================================================================
--- trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h	(revision 82)
+++ trunk/IPs/systemC/processor/Morpheo/Behavioural/Core/Multi_Execute_loop/Execute_loop/Register_unit/include/Register_unit.h	(revision 88)
@@ -102,15 +102,15 @@
   public    : SC_IN (Tspecial_address_t)  ***  in_INSERT_ROB_RE_NUM_REG        ;
 
-    // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
-  public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_VAL               ;
-  public    : SC_OUT(Tcontrol_t        )  *** out_RETIRE_ROB_ACK               ;
-  public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RD_OLD_USE        ; 
-  public    : SC_IN (Tgeneral_address_t)  ***  in_RETIRE_ROB_RD_OLD_NUM_REG    ; // old_use=1 : status[old_num_reg]<- 0
-  public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RD_NEW_USE        ;
-  public    : SC_IN (Tgeneral_address_t)  ***  in_RETIRE_ROB_RD_NEW_NUM_REG    ; // new_use=1 : status[new_num_reg]<- 1
-  public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RE_OLD_USE        ; 
-  public    : SC_IN (Tspecial_address_t)  ***  in_RETIRE_ROB_RE_OLD_NUM_REG    ;
-  public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RE_NEW_USE        ;
-  public    : SC_IN (Tspecial_address_t)  ***  in_RETIRE_ROB_RE_NEW_NUM_REG    ;
+//     // ~~~~~[ Interface "retire_rob" ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
+//   public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_VAL               ;
+//   public    : SC_OUT(Tcontrol_t        )  *** out_RETIRE_ROB_ACK               ;
+//   public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RD_OLD_USE        ; 
+//   public    : SC_IN (Tgeneral_address_t)  ***  in_RETIRE_ROB_RD_OLD_NUM_REG    ; // old_use=1 : status[old_num_reg]<- 0
+//   public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RD_NEW_USE        ;
+//   public    : SC_IN (Tgeneral_address_t)  ***  in_RETIRE_ROB_RD_NEW_NUM_REG    ; // new_use=1 : status[new_num_reg]<- 1
+//   public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RE_OLD_USE        ; 
+//   public    : SC_IN (Tspecial_address_t)  ***  in_RETIRE_ROB_RE_OLD_NUM_REG    ;
+//   public    : SC_IN (Tcontrol_t        )  ***  in_RETIRE_ROB_RE_NEW_USE        ;
+//   public    : SC_IN (Tspecial_address_t)  ***  in_RETIRE_ROB_RE_NEW_NUM_REG    ;
 
     // ~~~~~[ Component ]~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~    
